package tutorial.lookandfeel.radiobuttongroup;

import java.beans.*;

public class RadioButtonGroupPanelBeanInfo extends SimpleBeanInfo {

  // Property identifiers //GEN-FIRST:Properties
  private static final int PROPERTY_optimizedDrawingEnabled = 0;
  private static final int PROPERTY_colorModel = 1;
  private static final int PROPERTY_minimumSize = 2;
  private static final int PROPERTY_visible = 3;
  private static final int PROPERTY_toolkit = 4;
  private static final int PROPERTY_displayable = 5;
  private static final int PROPERTY_opaque = 6;
  private static final int PROPERTY_requestFocusEnabled = 7;
  private static final int PROPERTY_enabled = 8;
  private static final int PROPERTY_autoscrolls = 9;
  private static final int PROPERTY_y = 10;
  private static final int PROPERTY_x = 11;
  private static final int PROPERTY_accessibleContext = 12;
  private static final int PROPERTY_componentOrientation = 13;
  private static final int PROPERTY_components = 14;
  private static final int PROPERTY_managingFocus = 15;
  private static final int PROPERTY_inputMethodRequests = 16;
  private static final int PROPERTY_border = 17;
  private static final int PROPERTY_locale = 18;
  private static final int PROPERTY_insets = 19;
  private static final int PROPERTY_UIClassID = 20;
  private static final int PROPERTY_graphics = 21;
  private static final int PROPERTY_minimumSizeSet = 22;
  private static final int PROPERTY_actionMap = 23;
  private static final int PROPERTY_maximumSizeSet = 24;
  private static final int PROPERTY_alignmentY = 25;
  private static final int PROPERTY_alignmentX = 26;
  private static final int PROPERTY_locationOnScreen = 27;
  private static final int PROPERTY_cursor = 28;
  private static final int PROPERTY_registeredKeyStrokes = 29;
  private static final int PROPERTY_preferredSizeSet = 30;
  private static final int PROPERTY_visibleRect = 31;
  private static final int PROPERTY_bounds = 32;
  private static final int PROPERTY_inputContext = 33;
  private static final int PROPERTY_focusTraversable = 34;
  private static final int PROPERTY_font = 35;
  private static final int PROPERTY_inputVerifier = 36;
  private static final int PROPERTY_buttonLabels = 37;
  private static final int PROPERTY_selectedObjects = 38;
  private static final int PROPERTY_lightweight = 39;
  private static final int PROPERTY_paintingTile = 40;
  private static final int PROPERTY_maximumSize = 41;
  private static final int PROPERTY_layout = 42;
  private static final int PROPERTY_treeLock = 43;
  private static final int PROPERTY_verifyInputWhenFocusTarget = 44;
  private static final int PROPERTY_foreground = 45;
  private static final int PROPERTY_preferredSize = 46;
  private static final int PROPERTY_groupLabel = 47;
  private static final int PROPERTY_debugGraphicsOptions = 48;
  private static final int PROPERTY_doubleBuffered = 49;
  private static final int PROPERTY_showing = 50;
  private static final int PROPERTY_nextFocusableComponent = 51;
  private static final int PROPERTY_parent = 52;
  private static final int PROPERTY_peer = 53;
  private static final int PROPERTY_componentCount = 54;
  private static final int PROPERTY_graphicsConfiguration = 55;
  private static final int PROPERTY_height = 56;
  private static final int PROPERTY_valid = 57;
  private static final int PROPERTY_focusCycleRoot = 58;
  private static final int PROPERTY_width = 59;
  private static final int PROPERTY_toolTipText = 60;
  private static final int PROPERTY_background = 61;
  private static final int PROPERTY_validateRoot = 62;
  private static final int PROPERTY_topLevelAncestor = 63;
  private static final int PROPERTY_dropTarget = 64;
  private static final int PROPERTY_rootPane = 65;
  private static final int PROPERTY_name = 66;
  private static final int PROPERTY_selection = 67;
  private static final int PROPERTY_component = 68;

  // Property array 
  private static PropertyDescriptor[] properties = new PropertyDescriptor[69];

  static {
    try {
      properties[PROPERTY_optimizedDrawingEnabled] = new PropertyDescriptor ( "optimizedDrawingEnabled", RadioButtonGroupPanel.class, "isOptimizedDrawingEnabled", null );
      properties[PROPERTY_colorModel] = new PropertyDescriptor ( "colorModel", RadioButtonGroupPanel.class, "getColorModel", null );
      properties[PROPERTY_minimumSize] = new PropertyDescriptor ( "minimumSize", RadioButtonGroupPanel.class, "getMinimumSize", "setMinimumSize" );
      properties[PROPERTY_visible] = new PropertyDescriptor ( "visible", RadioButtonGroupPanel.class, "isVisible", "setVisible" );
      properties[PROPERTY_toolkit] = new PropertyDescriptor ( "toolkit", RadioButtonGroupPanel.class, "getToolkit", null );
      properties[PROPERTY_displayable] = new PropertyDescriptor ( "displayable", RadioButtonGroupPanel.class, "isDisplayable", null );
      properties[PROPERTY_opaque] = new PropertyDescriptor ( "opaque", RadioButtonGroupPanel.class, "isOpaque", "setOpaque" );
      properties[PROPERTY_requestFocusEnabled] = new PropertyDescriptor ( "requestFocusEnabled", RadioButtonGroupPanel.class, "isRequestFocusEnabled", "setRequestFocusEnabled" );
      properties[PROPERTY_enabled] = new PropertyDescriptor ( "enabled", RadioButtonGroupPanel.class, "isEnabled", "setEnabled" );
      properties[PROPERTY_autoscrolls] = new PropertyDescriptor ( "autoscrolls", RadioButtonGroupPanel.class, "getAutoscrolls", "setAutoscrolls" );
      properties[PROPERTY_y] = new PropertyDescriptor ( "y", RadioButtonGroupPanel.class, "getY", null );
      properties[PROPERTY_x] = new PropertyDescriptor ( "x", RadioButtonGroupPanel.class, "getX", null );
      properties[PROPERTY_accessibleContext] = new PropertyDescriptor ( "accessibleContext", RadioButtonGroupPanel.class, "getAccessibleContext", null );
      properties[PROPERTY_componentOrientation] = new PropertyDescriptor ( "componentOrientation", RadioButtonGroupPanel.class, "getComponentOrientation", "setComponentOrientation" );
      properties[PROPERTY_components] = new PropertyDescriptor ( "components", RadioButtonGroupPanel.class, "getComponents", null );
      properties[PROPERTY_managingFocus] = new PropertyDescriptor ( "managingFocus", RadioButtonGroupPanel.class, "isManagingFocus", null );
      properties[PROPERTY_inputMethodRequests] = new PropertyDescriptor ( "inputMethodRequests", RadioButtonGroupPanel.class, "getInputMethodRequests", null );
      properties[PROPERTY_border] = new PropertyDescriptor ( "border", RadioButtonGroupPanel.class, "getBorder", "setBorder" );
      properties[PROPERTY_locale] = new PropertyDescriptor ( "locale", RadioButtonGroupPanel.class, "getLocale", "setLocale" );
      properties[PROPERTY_insets] = new PropertyDescriptor ( "insets", RadioButtonGroupPanel.class, "getInsets", null );
      properties[PROPERTY_UIClassID] = new PropertyDescriptor ( "UIClassID", RadioButtonGroupPanel.class, "getUIClassID", null );
      properties[PROPERTY_graphics] = new PropertyDescriptor ( "graphics", RadioButtonGroupPanel.class, "getGraphics", null );
      properties[PROPERTY_minimumSizeSet] = new PropertyDescriptor ( "minimumSizeSet", RadioButtonGroupPanel.class, "isMinimumSizeSet", null );
      properties[PROPERTY_actionMap] = new PropertyDescriptor ( "actionMap", RadioButtonGroupPanel.class, "getActionMap", "setActionMap" );
      properties[PROPERTY_maximumSizeSet] = new PropertyDescriptor ( "maximumSizeSet", RadioButtonGroupPanel.class, "isMaximumSizeSet", null );
      properties[PROPERTY_alignmentY] = new PropertyDescriptor ( "alignmentY", RadioButtonGroupPanel.class, "getAlignmentY", "setAlignmentY" );
      properties[PROPERTY_alignmentX] = new PropertyDescriptor ( "alignmentX", RadioButtonGroupPanel.class, "getAlignmentX", "setAlignmentX" );
      properties[PROPERTY_locationOnScreen] = new PropertyDescriptor ( "locationOnScreen", RadioButtonGroupPanel.class, "getLocationOnScreen", null );
      properties[PROPERTY_cursor] = new PropertyDescriptor ( "cursor", RadioButtonGroupPanel.class, "getCursor", "setCursor" );
      properties[PROPERTY_registeredKeyStrokes] = new PropertyDescriptor ( "registeredKeyStrokes", RadioButtonGroupPanel.class, "getRegisteredKeyStrokes", null );
      properties[PROPERTY_preferredSizeSet] = new PropertyDescriptor ( "preferredSizeSet", RadioButtonGroupPanel.class, "isPreferredSizeSet", null );
      properties[PROPERTY_visibleRect] = new PropertyDescriptor ( "visibleRect", RadioButtonGroupPanel.class, "getVisibleRect", null );
      properties[PROPERTY_bounds] = new PropertyDescriptor ( "bounds", RadioButtonGroupPanel.class, "getBounds", "setBounds" );
      properties[PROPERTY_inputContext] = new PropertyDescriptor ( "inputContext", RadioButtonGroupPanel.class, "getInputContext", null );
      properties[PROPERTY_focusTraversable] = new PropertyDescriptor ( "focusTraversable", RadioButtonGroupPanel.class, "isFocusTraversable", null );
      properties[PROPERTY_font] = new PropertyDescriptor ( "font", RadioButtonGroupPanel.class, "getFont", "setFont" );
      properties[PROPERTY_inputVerifier] = new PropertyDescriptor ( "inputVerifier", RadioButtonGroupPanel.class, "getInputVerifier", "setInputVerifier" );
      properties[PROPERTY_buttonLabels] = new PropertyDescriptor ( "buttonLabels", RadioButtonGroupPanel.class, "getButtonLabels", "setButtonLabels" );
      properties[PROPERTY_selectedObjects] = new PropertyDescriptor ( "selectedObjects", RadioButtonGroupPanel.class, "getSelectedObjects", null );
      properties[PROPERTY_lightweight] = new PropertyDescriptor ( "lightweight", RadioButtonGroupPanel.class, "isLightweight", null );
      properties[PROPERTY_paintingTile] = new PropertyDescriptor ( "paintingTile", RadioButtonGroupPanel.class, "isPaintingTile", null );
      properties[PROPERTY_maximumSize] = new PropertyDescriptor ( "maximumSize", RadioButtonGroupPanel.class, "getMaximumSize", "setMaximumSize" );
      properties[PROPERTY_layout] = new PropertyDescriptor ( "layout", RadioButtonGroupPanel.class, "getLayout", "setLayout" );
      properties[PROPERTY_treeLock] = new PropertyDescriptor ( "treeLock", RadioButtonGroupPanel.class, "getTreeLock", null );
      properties[PROPERTY_verifyInputWhenFocusTarget] = new PropertyDescriptor ( "verifyInputWhenFocusTarget", RadioButtonGroupPanel.class, "getVerifyInputWhenFocusTarget", "setVerifyInputWhenFocusTarget" );
      properties[PROPERTY_foreground] = new PropertyDescriptor ( "foreground", RadioButtonGroupPanel.class, "getForeground", "setForeground" );
      properties[PROPERTY_preferredSize] = new PropertyDescriptor ( "preferredSize", RadioButtonGroupPanel.class, "getPreferredSize", "setPreferredSize" );
      properties[PROPERTY_groupLabel] = new PropertyDescriptor ( "groupLabel", RadioButtonGroupPanel.class, "getGroupLabel", "setGroupLabel" );
      properties[PROPERTY_debugGraphicsOptions] = new PropertyDescriptor ( "debugGraphicsOptions", RadioButtonGroupPanel.class, "getDebugGraphicsOptions", "setDebugGraphicsOptions" );
      properties[PROPERTY_doubleBuffered] = new PropertyDescriptor ( "doubleBuffered", RadioButtonGroupPanel.class, "isDoubleBuffered", "setDoubleBuffered" );
      properties[PROPERTY_showing] = new PropertyDescriptor ( "showing", RadioButtonGroupPanel.class, "isShowing", null );
      properties[PROPERTY_nextFocusableComponent] = new PropertyDescriptor ( "nextFocusableComponent", RadioButtonGroupPanel.class, "getNextFocusableComponent", "setNextFocusableComponent" );
      properties[PROPERTY_parent] = new PropertyDescriptor ( "parent", RadioButtonGroupPanel.class, "getParent", null );
      properties[PROPERTY_peer] = new PropertyDescriptor ( "peer", RadioButtonGroupPanel.class, "getPeer", null );
      properties[PROPERTY_componentCount] = new PropertyDescriptor ( "componentCount", RadioButtonGroupPanel.class, "getComponentCount", null );
      properties[PROPERTY_graphicsConfiguration] = new PropertyDescriptor ( "graphicsConfiguration", RadioButtonGroupPanel.class, "getGraphicsConfiguration", null );
      properties[PROPERTY_height] = new PropertyDescriptor ( "height", RadioButtonGroupPanel.class, "getHeight", null );
      properties[PROPERTY_valid] = new PropertyDescriptor ( "valid", RadioButtonGroupPanel.class, "isValid", null );
      properties[PROPERTY_focusCycleRoot] = new PropertyDescriptor ( "focusCycleRoot", RadioButtonGroupPanel.class, "isFocusCycleRoot", null );
      properties[PROPERTY_width] = new PropertyDescriptor ( "width", RadioButtonGroupPanel.class, "getWidth", null );
      properties[PROPERTY_toolTipText] = new PropertyDescriptor ( "toolTipText", RadioButtonGroupPanel.class, "getToolTipText", "setToolTipText" );
      properties[PROPERTY_background] = new PropertyDescriptor ( "background", RadioButtonGroupPanel.class, "getBackground", "setBackground" );
      properties[PROPERTY_validateRoot] = new PropertyDescriptor ( "validateRoot", RadioButtonGroupPanel.class, "isValidateRoot", null );
      properties[PROPERTY_topLevelAncestor] = new PropertyDescriptor ( "topLevelAncestor", RadioButtonGroupPanel.class, "getTopLevelAncestor", null );
      properties[PROPERTY_dropTarget] = new PropertyDescriptor ( "dropTarget", RadioButtonGroupPanel.class, "getDropTarget", "setDropTarget" );
      properties[PROPERTY_rootPane] = new PropertyDescriptor ( "rootPane", RadioButtonGroupPanel.class, "getRootPane", null );
      properties[PROPERTY_name] = new PropertyDescriptor ( "name", RadioButtonGroupPanel.class, "getName", "setName" );
      properties[PROPERTY_selection] = new PropertyDescriptor ( "selection", RadioButtonGroupPanel.class, "getSelection", "setSelection" );
      properties[PROPERTY_component] = new IndexedPropertyDescriptor ( "component", RadioButtonGroupPanel.class, null, null, "getComponent", null );
    }
    catch( IntrospectionException e) {}//GEN-HEADEREND:Properties

    // Here you can add code for customizing the properties array.

}//GEN-LAST:Properties

  // EventSet identifiers//GEN-FIRST:Events
  private static final int EVENT_mouseMotionListener = 0;
  private static final int EVENT_inputMethodListener = 1;
  private static final int EVENT_ancestorListener = 2;
  private static final int EVENT_componentListener = 3;
  private static final int EVENT_hierarchyBoundsListener = 4;
  private static final int EVENT_mouseListener = 5;
  private static final int EVENT_focusListener = 6;
  private static final int EVENT_itemListener = 7;
  private static final int EVENT_propertyChangeListener = 8;
  private static final int EVENT_keyListener = 9;
  private static final int EVENT_hierarchyListener = 10;
  private static final int EVENT_containerListener = 11;
  private static final int EVENT_vetoableChangeListener = 12;

  // EventSet array
  private static EventSetDescriptor[] eventSets = new EventSetDescriptor[13];

  static {
    try {
      eventSets[EVENT_mouseMotionListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "mouseMotionListener", java.awt.event.MouseMotionListener.class, new String[] {"mouseMoved"}, "addMouseMotionListener", "removeMouseMotionListener" );
      eventSets[EVENT_inputMethodListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "inputMethodListener", java.awt.event.InputMethodListener.class, new String[] {"inputMethodTextChanged"}, "addInputMethodListener", "removeInputMethodListener" );
      eventSets[EVENT_ancestorListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "ancestorListener", javax.swing.event.AncestorListener.class, new String[] {"ancestorMoved", "ancestorRemoved"}, "addAncestorListener", "removeAncestorListener" );
      eventSets[EVENT_componentListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "componentListener", java.awt.event.ComponentListener.class, new String[] {"componentResized", "componentShown"}, "addComponentListener", "removeComponentListener" );
      eventSets[EVENT_hierarchyBoundsListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "hierarchyBoundsListener", java.awt.event.HierarchyBoundsListener.class, new String[] {"ancestorMoved"}, "addHierarchyBoundsListener", "removeHierarchyBoundsListener" );
      eventSets[EVENT_mouseListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "mouseListener", java.awt.event.MouseListener.class, new String[] {"mousePressed", "mouseClicked", "mouseEntered"}, "addMouseListener", "removeMouseListener" );
      eventSets[EVENT_focusListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "focusListener", java.awt.event.FocusListener.class, new String[] {"focusGained"}, "addFocusListener", "removeFocusListener" );
      eventSets[EVENT_itemListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "itemListener", java.awt.event.ItemListener.class, new String[] {"itemStateChanged"}, "addItemListener", "removeItemListener" );
      eventSets[EVENT_propertyChangeListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "propertyChangeListener", java.beans.PropertyChangeListener.class, new String[] {"propertyChange"}, "addPropertyChangeListener", "removePropertyChangeListener" );
      eventSets[EVENT_keyListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "keyListener", java.awt.event.KeyListener.class, new String[] {"keyTyped", "keyReleased"}, "addKeyListener", "removeKeyListener" );
      eventSets[EVENT_hierarchyListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "hierarchyListener", java.awt.event.HierarchyListener.class, new String[] {"hierarchyChanged"}, "addHierarchyListener", "removeHierarchyListener" );
      eventSets[EVENT_containerListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "containerListener", java.awt.event.ContainerListener.class, new String[] {"componentAdded"}, "addContainerListener", "removeContainerListener" );
      eventSets[EVENT_vetoableChangeListener] = new EventSetDescriptor ( RadioButtonGroupPanel.class, "vetoableChangeListener", java.beans.VetoableChangeListener.class, new String[] {"vetoableChange"}, "addVetoableChangeListener", "removeVetoableChangeListener" );
    }
    catch( IntrospectionException e) {}//GEN-HEADEREND:Events

    // Here you can add code for customizing the event sets array.

}//GEN-LAST:Events

  // Method identifiers //GEN-FIRST:Methods
  private static final int METHOD_actionPerformed0 = 0;
  private static final int METHOD_updateUI1 = 1;
  private static final int METHOD_hasFocus2 = 2;
  private static final int METHOD_unregisterKeyboardAction3 = 3;
  private static final int METHOD_revalidate4 = 4;
  private static final int METHOD_getListeners5 = 5;
  private static final int METHOD_getInputMap6 = 6;
  private static final int METHOD_removeNotify7 = 7;
  private static final int METHOD_getToolTipLocation8 = 8;
  private static final int METHOD_getBounds9 = 9;
  private static final int METHOD_firePropertyChange10 = 10;
  private static final int METHOD_getActionForKeyStroke11 = 11;
  private static final int METHOD_firePropertyChange12 = 12;
  private static final int METHOD_repaint13 = 13;
  private static final int METHOD_getInputMap14 = 14;
  private static final int METHOD_firePropertyChange15 = 15;
  private static final int METHOD_firePropertyChange16 = 16;
  private static final int METHOD_repaint17 = 17;
  private static final int METHOD_addPropertyChangeListener18 = 18;
  private static final int METHOD_computeVisibleRect19 = 19;
  private static final int METHOD_hide20 = 20;
  private static final int METHOD_reshape21 = 21;
  private static final int METHOD_putClientProperty22 = 22;
  private static final int METHOD_getLocation23 = 23;
  private static final int METHOD_setInputMap24 = 24;
  private static final int METHOD_paintImmediately25 = 25;
  private static final int METHOD_disable26 = 26;
  private static final int METHOD_resetKeyboardActions27 = 27;
  private static final int METHOD_enable28 = 28;
  private static final int METHOD_grabFocus29 = 29;
  private static final int METHOD_getToolTipText30 = 30;
  private static final int METHOD_getClientProperty31 = 31;
  private static final int METHOD_getSize32 = 32;
  private static final int METHOD_firePropertyChange33 = 33;
  private static final int METHOD_removePropertyChangeListener34 = 34;
  private static final int METHOD_requestDefaultFocus35 = 35;
  private static final int METHOD_addNotify36 = 36;
  private static final int METHOD_firePropertyChange37 = 37;
  private static final int METHOD_requestFocus38 = 38;
  private static final int METHOD_getConditionForKeyStroke39 = 39;
  private static final int METHOD_firePropertyChange40 = 40;
  private static final int METHOD_registerKeyboardAction41 = 41;
  private static final int METHOD_registerKeyboardAction42 = 42;
  private static final int METHOD_isLightweightComponent43 = 43;
  private static final int METHOD_paint44 = 44;
  private static final int METHOD_createToolTip45 = 45;
  private static final int METHOD_print46 = 46;
  private static final int METHOD_update47 = 47;
  private static final int METHOD_paintImmediately48 = 48;
  private static final int METHOD_getInsets49 = 49;
  private static final int METHOD_printAll50 = 50;
  private static final int METHOD_contains51 = 51;
  private static final int METHOD_firePropertyChange52 = 52;
  private static final int METHOD_scrollRectToVisible53 = 53;
  private static final int METHOD_getComponentAt54 = 54;
  private static final int METHOD_add55 = 55;
  private static final int METHOD_preferredSize56 = 56;
  private static final int METHOD_locate57 = 57;
  private static final int METHOD_list58 = 58;
  private static final int METHOD_add59 = 59;
  private static final int METHOD_add60 = 60;
  private static final int METHOD_invalidate61 = 61;
  private static final int METHOD_printComponents62 = 62;
  private static final int METHOD_doLayout63 = 63;
  private static final int METHOD_layout64 = 64;
  private static final int METHOD_list65 = 65;
  private static final int METHOD_add66 = 66;
  private static final int METHOD_remove67 = 67;
  private static final int METHOD_isAncestorOf68 = 68;
  private static final int METHOD_findComponentAt69 = 69;
  private static final int METHOD_findComponentAt70 = 70;
  private static final int METHOD_insets71 = 71;
  private static final int METHOD_getComponentAt72 = 72;
  private static final int METHOD_paintComponents73 = 73;
  private static final int METHOD_countComponents74 = 74;
  private static final int METHOD_minimumSize75 = 75;
  private static final int METHOD_deliverEvent76 = 76;
  private static final int METHOD_removeAll77 = 77;
  private static final int METHOD_remove78 = 78;
  private static final int METHOD_add79 = 79;
  private static final int METHOD_validate80 = 80;
  private static final int METHOD_gotFocus81 = 81;
  private static final int METHOD_toString82 = 82;
  private static final int METHOD_list83 = 83;
  private static final int METHOD_enableInputMethods84 = 84;
  private static final int METHOD_mouseEnter85 = 85;
  private static final int METHOD_getSize86 = 86;
  private static final int METHOD_add87 = 87;
  private static final int METHOD_contains88 = 88;
  private static final int METHOD_transferFocus89 = 89;
  private static final int METHOD_action90 = 90;
  private static final int METHOD_setSize91 = 91;
  private static final int METHOD_show92 = 92;
  private static final int METHOD_mouseDown93 = 93;
  private static final int METHOD_imageUpdate94 = 94;
  private static final int METHOD_repaint95 = 95;
  private static final int METHOD_getFontMetrics96 = 96;
  private static final int METHOD_lostFocus97 = 97;
  private static final int METHOD_postEvent98 = 98;
  private static final int METHOD_show99 = 99;
  private static final int METHOD_handleEvent100 = 100;
  private static final int METHOD_list101 = 101;
  private static final int METHOD_setBounds102 = 102;
  private static final int METHOD_mouseDrag103 = 103;
  private static final int METHOD_enable104 = 104;
  private static final int METHOD_createImage105 = 105;
  private static final int METHOD_keyUp106 = 106;
  private static final int METHOD_createImage107 = 107;
  private static final int METHOD_setLocation108 = 108;
  private static final int METHOD_repaint109 = 109;
  private static final int METHOD_repaint110 = 110;
  private static final int METHOD_keyDown111 = 111;
  private static final int METHOD_nextFocus112 = 112;
  private static final int METHOD_bounds113 = 113;
  private static final int METHOD_move114 = 114;
  private static final int METHOD_prepareImage115 = 115;
  private static final int METHOD_prepareImage116 = 116;
  private static final int METHOD_resize117 = 117;
  private static final int METHOD_getLocation118 = 118;
  private static final int METHOD_remove119 = 119;
  private static final int METHOD_setSize120 = 120;
  private static final int METHOD_list121 = 121;
  private static final int METHOD_location122 = 122;
  private static final int METHOD_paintAll123 = 123;
  private static final int METHOD_dispatchEvent124 = 124;
  private static final int METHOD_checkImage125 = 125;
  private static final int METHOD_checkImage126 = 126;
  private static final int METHOD_mouseExit127 = 127;
  private static final int METHOD_mouseMove128 = 128;
  private static final int METHOD_setLocation129 = 129;
  private static final int METHOD_mouseUp130 = 130;
  private static final int METHOD_size131 = 131;
  private static final int METHOD_inside132 = 132;
  private static final int METHOD_resize133 = 133;

  // Method array 
  private static MethodDescriptor[] methods = new MethodDescriptor[134];

  static {
    try {
      methods[METHOD_actionPerformed0] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("actionPerformed", new Class[] {Class.forName("java.awt.event.ActionEvent")}));
      methods[METHOD_actionPerformed0].setDisplayName ( "" );
      methods[METHOD_updateUI1] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("updateUI", new Class[] {}));
      methods[METHOD_updateUI1].setDisplayName ( "" );
      methods[METHOD_hasFocus2] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("hasFocus", new Class[] {}));
      methods[METHOD_hasFocus2].setDisplayName ( "" );
      methods[METHOD_unregisterKeyboardAction3] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("unregisterKeyboardAction", new Class[] {Class.forName("javax.swing.KeyStroke")}));
      methods[METHOD_unregisterKeyboardAction3].setDisplayName ( "" );
      methods[METHOD_revalidate4] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("revalidate", new Class[] {}));
      methods[METHOD_revalidate4].setDisplayName ( "" );
      methods[METHOD_getListeners5] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getListeners", new Class[] {Class.forName("java.lang.Class")}));
      methods[METHOD_getListeners5].setDisplayName ( "" );
      methods[METHOD_getInputMap6] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getInputMap", new Class[] {}));
      methods[METHOD_getInputMap6].setDisplayName ( "" );
      methods[METHOD_removeNotify7] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("removeNotify", new Class[] {}));
      methods[METHOD_removeNotify7].setDisplayName ( "" );
      methods[METHOD_getToolTipLocation8] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getToolTipLocation", new Class[] {Class.forName("java.awt.event.MouseEvent")}));
      methods[METHOD_getToolTipLocation8].setDisplayName ( "" );
      methods[METHOD_getBounds9] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getBounds", new Class[] {Class.forName("java.awt.Rectangle")}));
      methods[METHOD_getBounds9].setDisplayName ( "" );
      methods[METHOD_firePropertyChange10] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Double.TYPE, Double.TYPE}));
      methods[METHOD_firePropertyChange10].setDisplayName ( "" );
      methods[METHOD_getActionForKeyStroke11] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getActionForKeyStroke", new Class[] {Class.forName("javax.swing.KeyStroke")}));
      methods[METHOD_getActionForKeyStroke11].setDisplayName ( "" );
      methods[METHOD_firePropertyChange12] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Character.TYPE, Character.TYPE}));
      methods[METHOD_firePropertyChange12].setDisplayName ( "" );
      methods[METHOD_repaint13] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("repaint", new Class[] {Class.forName("java.awt.Rectangle")}));
      methods[METHOD_repaint13].setDisplayName ( "" );
      methods[METHOD_getInputMap14] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getInputMap", new Class[] {Integer.TYPE}));
      methods[METHOD_getInputMap14].setDisplayName ( "" );
      methods[METHOD_firePropertyChange15] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Float.TYPE, Float.TYPE}));
      methods[METHOD_firePropertyChange15].setDisplayName ( "" );
      methods[METHOD_firePropertyChange16] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_firePropertyChange16].setDisplayName ( "" );
      methods[METHOD_repaint17] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("repaint", new Class[] {Long.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_repaint17].setDisplayName ( "" );
      methods[METHOD_addPropertyChangeListener18] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("addPropertyChangeListener", new Class[] {Class.forName("java.lang.String"), Class.forName("java.beans.PropertyChangeListener")}));
      methods[METHOD_addPropertyChangeListener18].setDisplayName ( "" );
      methods[METHOD_computeVisibleRect19] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("computeVisibleRect", new Class[] {Class.forName("java.awt.Rectangle")}));
      methods[METHOD_computeVisibleRect19].setDisplayName ( "" );
      methods[METHOD_hide20] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("hide", new Class[] {}));
      methods[METHOD_hide20].setDisplayName ( "" );
      methods[METHOD_reshape21] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("reshape", new Class[] {Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_reshape21].setDisplayName ( "" );
      methods[METHOD_putClientProperty22] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("putClientProperty", new Class[] {Class.forName("java.lang.Object"), Class.forName("java.lang.Object")}));
      methods[METHOD_putClientProperty22].setDisplayName ( "" );
      methods[METHOD_getLocation23] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getLocation", new Class[] {Class.forName("java.awt.Point")}));
      methods[METHOD_getLocation23].setDisplayName ( "" );
      methods[METHOD_setInputMap24] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setInputMap", new Class[] {Integer.TYPE, Class.forName("javax.swing.InputMap")}));
      methods[METHOD_setInputMap24].setDisplayName ( "" );
      methods[METHOD_paintImmediately25] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("paintImmediately", new Class[] {Class.forName("java.awt.Rectangle")}));
      methods[METHOD_paintImmediately25].setDisplayName ( "" );
      methods[METHOD_disable26] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("disable", new Class[] {}));
      methods[METHOD_disable26].setDisplayName ( "" );
      methods[METHOD_resetKeyboardActions27] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("resetKeyboardActions", new Class[] {}));
      methods[METHOD_resetKeyboardActions27].setDisplayName ( "" );
      methods[METHOD_enable28] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("enable", new Class[] {}));
      methods[METHOD_enable28].setDisplayName ( "" );
      methods[METHOD_grabFocus29] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("grabFocus", new Class[] {}));
      methods[METHOD_grabFocus29].setDisplayName ( "" );
      methods[METHOD_getToolTipText30] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getToolTipText", new Class[] {Class.forName("java.awt.event.MouseEvent")}));
      methods[METHOD_getToolTipText30].setDisplayName ( "" );
      methods[METHOD_getClientProperty31] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getClientProperty", new Class[] {Class.forName("java.lang.Object")}));
      methods[METHOD_getClientProperty31].setDisplayName ( "" );
      methods[METHOD_getSize32] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getSize", new Class[] {Class.forName("java.awt.Dimension")}));
      methods[METHOD_getSize32].setDisplayName ( "" );
      methods[METHOD_firePropertyChange33] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Long.TYPE, Long.TYPE}));
      methods[METHOD_firePropertyChange33].setDisplayName ( "" );
      methods[METHOD_removePropertyChangeListener34] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("removePropertyChangeListener", new Class[] {Class.forName("java.lang.String"), Class.forName("java.beans.PropertyChangeListener")}));
      methods[METHOD_removePropertyChangeListener34].setDisplayName ( "" );
      methods[METHOD_requestDefaultFocus35] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("requestDefaultFocus", new Class[] {}));
      methods[METHOD_requestDefaultFocus35].setDisplayName ( "" );
      methods[METHOD_addNotify36] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("addNotify", new Class[] {}));
      methods[METHOD_addNotify36].setDisplayName ( "" );
      methods[METHOD_firePropertyChange37] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Byte.TYPE, Byte.TYPE}));
      methods[METHOD_firePropertyChange37].setDisplayName ( "" );
      methods[METHOD_requestFocus38] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("requestFocus", new Class[] {}));
      methods[METHOD_requestFocus38].setDisplayName ( "" );
      methods[METHOD_getConditionForKeyStroke39] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getConditionForKeyStroke", new Class[] {Class.forName("javax.swing.KeyStroke")}));
      methods[METHOD_getConditionForKeyStroke39].setDisplayName ( "" );
      methods[METHOD_firePropertyChange40] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Short.TYPE, Short.TYPE}));
      methods[METHOD_firePropertyChange40].setDisplayName ( "" );
      methods[METHOD_registerKeyboardAction41] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("registerKeyboardAction", new Class[] {Class.forName("java.awt.event.ActionListener"), Class.forName("javax.swing.KeyStroke"), Integer.TYPE}));
      methods[METHOD_registerKeyboardAction41].setDisplayName ( "" );
      methods[METHOD_registerKeyboardAction42] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("registerKeyboardAction", new Class[] {Class.forName("java.awt.event.ActionListener"), Class.forName("java.lang.String"), Class.forName("javax.swing.KeyStroke"), Integer.TYPE}));
      methods[METHOD_registerKeyboardAction42].setDisplayName ( "" );
      methods[METHOD_isLightweightComponent43] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("isLightweightComponent", new Class[] {Class.forName("java.awt.Component")}));
      methods[METHOD_isLightweightComponent43].setDisplayName ( "" );
      methods[METHOD_paint44] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("paint", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_paint44].setDisplayName ( "" );
      methods[METHOD_createToolTip45] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("createToolTip", new Class[] {}));
      methods[METHOD_createToolTip45].setDisplayName ( "" );
      methods[METHOD_print46] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("print", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_print46].setDisplayName ( "" );
      methods[METHOD_update47] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("update", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_update47].setDisplayName ( "" );
      methods[METHOD_paintImmediately48] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("paintImmediately", new Class[] {Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_paintImmediately48].setDisplayName ( "" );
      methods[METHOD_getInsets49] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getInsets", new Class[] {Class.forName("java.awt.Insets")}));
      methods[METHOD_getInsets49].setDisplayName ( "" );
      methods[METHOD_printAll50] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("printAll", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_printAll50].setDisplayName ( "" );
      methods[METHOD_contains51] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("contains", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_contains51].setDisplayName ( "" );
      methods[METHOD_firePropertyChange52] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("firePropertyChange", new Class[] {Class.forName("java.lang.String"), Boolean.TYPE, Boolean.TYPE}));
      methods[METHOD_firePropertyChange52].setDisplayName ( "" );
      methods[METHOD_scrollRectToVisible53] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("scrollRectToVisible", new Class[] {Class.forName("java.awt.Rectangle")}));
      methods[METHOD_scrollRectToVisible53].setDisplayName ( "" );
      methods[METHOD_getComponentAt54] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getComponentAt", new Class[] {Class.forName("java.awt.Point")}));
      methods[METHOD_getComponentAt54].setDisplayName ( "" );
      methods[METHOD_add55] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.awt.Component")}));
      methods[METHOD_add55].setDisplayName ( "" );
      methods[METHOD_preferredSize56] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("preferredSize", new Class[] {}));
      methods[METHOD_preferredSize56].setDisplayName ( "" );
      methods[METHOD_locate57] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("locate", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_locate57].setDisplayName ( "" );
      methods[METHOD_list58] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("list", new Class[] {Class.forName("java.io.PrintWriter"), Integer.TYPE}));
      methods[METHOD_list58].setDisplayName ( "" );
      methods[METHOD_add59] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.awt.Component"), Class.forName("java.lang.Object"), Integer.TYPE}));
      methods[METHOD_add59].setDisplayName ( "" );
      methods[METHOD_add60] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.awt.Component"), Integer.TYPE}));
      methods[METHOD_add60].setDisplayName ( "" );
      methods[METHOD_invalidate61] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("invalidate", new Class[] {}));
      methods[METHOD_invalidate61].setDisplayName ( "" );
      methods[METHOD_printComponents62] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("printComponents", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_printComponents62].setDisplayName ( "" );
      methods[METHOD_doLayout63] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("doLayout", new Class[] {}));
      methods[METHOD_doLayout63].setDisplayName ( "" );
      methods[METHOD_layout64] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("layout", new Class[] {}));
      methods[METHOD_layout64].setDisplayName ( "" );
      methods[METHOD_list65] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("list", new Class[] {Class.forName("java.io.PrintStream"), Integer.TYPE}));
      methods[METHOD_list65].setDisplayName ( "" );
      methods[METHOD_add66] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.lang.String"), Class.forName("java.awt.Component")}));
      methods[METHOD_add66].setDisplayName ( "" );
      methods[METHOD_remove67] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("remove", new Class[] {Integer.TYPE}));
      methods[METHOD_remove67].setDisplayName ( "" );
      methods[METHOD_isAncestorOf68] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("isAncestorOf", new Class[] {Class.forName("java.awt.Component")}));
      methods[METHOD_isAncestorOf68].setDisplayName ( "" );
      methods[METHOD_findComponentAt69] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("findComponentAt", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_findComponentAt69].setDisplayName ( "" );
      methods[METHOD_findComponentAt70] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("findComponentAt", new Class[] {Class.forName("java.awt.Point")}));
      methods[METHOD_findComponentAt70].setDisplayName ( "" );
      methods[METHOD_insets71] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("insets", new Class[] {}));
      methods[METHOD_insets71].setDisplayName ( "" );
      methods[METHOD_getComponentAt72] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getComponentAt", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_getComponentAt72].setDisplayName ( "" );
      methods[METHOD_paintComponents73] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("paintComponents", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_paintComponents73].setDisplayName ( "" );
      methods[METHOD_countComponents74] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("countComponents", new Class[] {}));
      methods[METHOD_countComponents74].setDisplayName ( "" );
      methods[METHOD_minimumSize75] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("minimumSize", new Class[] {}));
      methods[METHOD_minimumSize75].setDisplayName ( "" );
      methods[METHOD_deliverEvent76] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("deliverEvent", new Class[] {Class.forName("java.awt.Event")}));
      methods[METHOD_deliverEvent76].setDisplayName ( "" );
      methods[METHOD_removeAll77] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("removeAll", new Class[] {}));
      methods[METHOD_removeAll77].setDisplayName ( "" );
      methods[METHOD_remove78] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("remove", new Class[] {Class.forName("java.awt.Component")}));
      methods[METHOD_remove78].setDisplayName ( "" );
      methods[METHOD_add79] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.awt.Component"), Class.forName("java.lang.Object")}));
      methods[METHOD_add79].setDisplayName ( "" );
      methods[METHOD_validate80] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("validate", new Class[] {}));
      methods[METHOD_validate80].setDisplayName ( "" );
      methods[METHOD_gotFocus81] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("gotFocus", new Class[] {Class.forName("java.awt.Event"), Class.forName("java.lang.Object")}));
      methods[METHOD_gotFocus81].setDisplayName ( "" );
      methods[METHOD_toString82] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("toString", new Class[] {}));
      methods[METHOD_toString82].setDisplayName ( "" );
      methods[METHOD_list83] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("list", new Class[] {Class.forName("java.io.PrintStream")}));
      methods[METHOD_list83].setDisplayName ( "" );
      methods[METHOD_enableInputMethods84] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("enableInputMethods", new Class[] {Boolean.TYPE}));
      methods[METHOD_enableInputMethods84].setDisplayName ( "" );
      methods[METHOD_mouseEnter85] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseEnter", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseEnter85].setDisplayName ( "" );
      methods[METHOD_getSize86] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getSize", new Class[] {}));
      methods[METHOD_getSize86].setDisplayName ( "" );
      methods[METHOD_add87] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("add", new Class[] {Class.forName("java.awt.PopupMenu")}));
      methods[METHOD_add87].setDisplayName ( "" );
      methods[METHOD_contains88] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("contains", new Class[] {Class.forName("java.awt.Point")}));
      methods[METHOD_contains88].setDisplayName ( "" );
      methods[METHOD_transferFocus89] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("transferFocus", new Class[] {}));
      methods[METHOD_transferFocus89].setDisplayName ( "" );
      methods[METHOD_action90] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("action", new Class[] {Class.forName("java.awt.Event"), Class.forName("java.lang.Object")}));
      methods[METHOD_action90].setDisplayName ( "" );
      methods[METHOD_setSize91] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setSize", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_setSize91].setDisplayName ( "" );
      methods[METHOD_show92] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("show", new Class[] {}));
      methods[METHOD_show92].setDisplayName ( "" );
      methods[METHOD_mouseDown93] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseDown", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseDown93].setDisplayName ( "" );
      methods[METHOD_imageUpdate94] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("imageUpdate", new Class[] {Class.forName("java.awt.Image"), Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_imageUpdate94].setDisplayName ( "" );
      methods[METHOD_repaint95] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("repaint", new Class[] {Long.TYPE}));
      methods[METHOD_repaint95].setDisplayName ( "" );
      methods[METHOD_getFontMetrics96] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getFontMetrics", new Class[] {Class.forName("java.awt.Font")}));
      methods[METHOD_getFontMetrics96].setDisplayName ( "" );
      methods[METHOD_lostFocus97] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("lostFocus", new Class[] {Class.forName("java.awt.Event"), Class.forName("java.lang.Object")}));
      methods[METHOD_lostFocus97].setDisplayName ( "" );
      methods[METHOD_postEvent98] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("postEvent", new Class[] {Class.forName("java.awt.Event")}));
      methods[METHOD_postEvent98].setDisplayName ( "" );
      methods[METHOD_show99] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("show", new Class[] {Boolean.TYPE}));
      methods[METHOD_show99].setDisplayName ( "" );
      methods[METHOD_handleEvent100] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("handleEvent", new Class[] {Class.forName("java.awt.Event")}));
      methods[METHOD_handleEvent100].setDisplayName ( "" );
      methods[METHOD_list101] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("list", new Class[] {Class.forName("java.io.PrintWriter")}));
      methods[METHOD_list101].setDisplayName ( "" );
      methods[METHOD_setBounds102] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setBounds", new Class[] {Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_setBounds102].setDisplayName ( "" );
      methods[METHOD_mouseDrag103] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseDrag", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseDrag103].setDisplayName ( "" );
      methods[METHOD_enable104] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("enable", new Class[] {Boolean.TYPE}));
      methods[METHOD_enable104].setDisplayName ( "" );
      methods[METHOD_createImage105] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("createImage", new Class[] {Class.forName("java.awt.image.ImageProducer")}));
      methods[METHOD_createImage105].setDisplayName ( "" );
      methods[METHOD_keyUp106] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("keyUp", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE}));
      methods[METHOD_keyUp106].setDisplayName ( "" );
      methods[METHOD_createImage107] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("createImage", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_createImage107].setDisplayName ( "" );
      methods[METHOD_setLocation108] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setLocation", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_setLocation108].setDisplayName ( "" );
      methods[METHOD_repaint109] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("repaint", new Class[] {}));
      methods[METHOD_repaint109].setDisplayName ( "" );
      methods[METHOD_repaint110] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("repaint", new Class[] {Integer.TYPE, Integer.TYPE, Integer.TYPE, Integer.TYPE}));
      methods[METHOD_repaint110].setDisplayName ( "" );
      methods[METHOD_keyDown111] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("keyDown", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE}));
      methods[METHOD_keyDown111].setDisplayName ( "" );
      methods[METHOD_nextFocus112] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("nextFocus", new Class[] {}));
      methods[METHOD_nextFocus112].setDisplayName ( "" );
      methods[METHOD_bounds113] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("bounds", new Class[] {}));
      methods[METHOD_bounds113].setDisplayName ( "" );
      methods[METHOD_move114] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("move", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_move114].setDisplayName ( "" );
      methods[METHOD_prepareImage115] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("prepareImage", new Class[] {Class.forName("java.awt.Image"), Class.forName("java.awt.image.ImageObserver")}));
      methods[METHOD_prepareImage115].setDisplayName ( "" );
      methods[METHOD_prepareImage116] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("prepareImage", new Class[] {Class.forName("java.awt.Image"), Integer.TYPE, Integer.TYPE, Class.forName("java.awt.image.ImageObserver")}));
      methods[METHOD_prepareImage116].setDisplayName ( "" );
      methods[METHOD_resize117] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("resize", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_resize117].setDisplayName ( "" );
      methods[METHOD_getLocation118] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("getLocation", new Class[] {}));
      methods[METHOD_getLocation118].setDisplayName ( "" );
      methods[METHOD_remove119] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("remove", new Class[] {Class.forName("java.awt.MenuComponent")}));
      methods[METHOD_remove119].setDisplayName ( "" );
      methods[METHOD_setSize120] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setSize", new Class[] {Class.forName("java.awt.Dimension")}));
      methods[METHOD_setSize120].setDisplayName ( "" );
      methods[METHOD_list121] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("list", new Class[] {}));
      methods[METHOD_list121].setDisplayName ( "" );
      methods[METHOD_location122] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("location", new Class[] {}));
      methods[METHOD_location122].setDisplayName ( "" );
      methods[METHOD_paintAll123] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("paintAll", new Class[] {Class.forName("java.awt.Graphics")}));
      methods[METHOD_paintAll123].setDisplayName ( "" );
      methods[METHOD_dispatchEvent124] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("dispatchEvent", new Class[] {Class.forName("java.awt.AWTEvent")}));
      methods[METHOD_dispatchEvent124].setDisplayName ( "" );
      methods[METHOD_checkImage125] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("checkImage", new Class[] {Class.forName("java.awt.Image"), Class.forName("java.awt.image.ImageObserver")}));
      methods[METHOD_checkImage125].setDisplayName ( "" );
      methods[METHOD_checkImage126] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("checkImage", new Class[] {Class.forName("java.awt.Image"), Integer.TYPE, Integer.TYPE, Class.forName("java.awt.image.ImageObserver")}));
      methods[METHOD_checkImage126].setDisplayName ( "" );
      methods[METHOD_mouseExit127] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseExit", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseExit127].setDisplayName ( "" );
      methods[METHOD_mouseMove128] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseMove", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseMove128].setDisplayName ( "" );
      methods[METHOD_setLocation129] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("setLocation", new Class[] {Class.forName("java.awt.Point")}));
      methods[METHOD_setLocation129].setDisplayName ( "" );
      methods[METHOD_mouseUp130] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("mouseUp", new Class[] {Class.forName("java.awt.Event"), Integer.TYPE, Integer.TYPE}));
      methods[METHOD_mouseUp130].setDisplayName ( "" );
      methods[METHOD_size131] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("size", new Class[] {}));
      methods[METHOD_size131].setDisplayName ( "" );
      methods[METHOD_inside132] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("inside", new Class[] {Integer.TYPE, Integer.TYPE}));
      methods[METHOD_inside132].setDisplayName ( "" );
      methods[METHOD_resize133] = new MethodDescriptor ( Class.forName("tutorial.lookandfeel.radiobuttongroup.RadioButtonGroupPanel").getMethod("resize", new Class[] {Class.forName("java.awt.Dimension")}));
      methods[METHOD_resize133].setDisplayName ( "" );
    }
    catch( Exception e) {}//GEN-HEADEREND:Methods

    // Here you can add code for customizing the methods array.
    
}//GEN-LAST:Methods

    private static java.awt.Image iconColor16 = null; //GEN-BEGIN:IconsDef
    private static java.awt.Image iconColor32 = null;
    private static java.awt.Image iconMono16 = null;
    private static java.awt.Image iconMono32 = null; //GEN-END:IconsDef
  private static String iconNameC16 = "RadioButtonPanel.gif";//GEN-BEGIN:Icons
  private static String iconNameC32 = null;
  private static String iconNameM16 = null;
  private static String iconNameM32 = null;//GEN-END:Icons

  private static int defaultPropertyIndex = -1;//GEN-BEGIN:Idx
  private static int defaultEventIndex = -1;//GEN-END:Idx


    /**
     * Gets the bean's <code>PropertyDescriptor</code>s.
     * 
     * @return An array of PropertyDescriptors describing the editable
     * properties supported by this bean.  May return null if the
     * information should be obtained by automatic analysis.
     * <p>
     * If a property is indexed, then its entry in the result array will
     * belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor.
     * A client of getPropertyDescriptors can use "instanceof" to check
     * if a given PropertyDescriptor is an IndexedPropertyDescriptor.
     */
    public PropertyDescriptor[] getPropertyDescriptors() {
        return properties;
    }

    /**
     * Gets the bean's <code>EventSetDescriptor</code>s.
     * 
     * @return  An array of EventSetDescriptors describing the kinds of 
     * events fired by this bean.  May return null if the information
     * should be obtained by automatic analysis.
     */
    public EventSetDescriptor[] getEventSetDescriptors() {
        return eventSets;
    }

    /**
     * Gets the bean's <code>MethodDescriptor</code>s.
     * 
     * @return  An array of MethodDescriptors describing the methods 
     * implemented by this bean.  May return null if the information
     * should be obtained by automatic analysis.
     */
    public MethodDescriptor[] getMethodDescriptors() {
        return methods;
    }

    /**
     * A bean may have a "default" property that is the property that will
     * mostly commonly be initially chosen for update by human's who are 
     * customizing the bean.
     * @return  Index of default property in the PropertyDescriptor array
     * 		returned by getPropertyDescriptors.
     * <P>	Returns -1 if there is no default property.
     */
    public int getDefaultPropertyIndex() {
        return defaultPropertyIndex;
    }

    /**
     * A bean may have a "default" event that is the event that will
     * mostly commonly be used by human's when using the bean. 
     * @return Index of default event in the EventSetDescriptor array
     *		returned by getEventSetDescriptors.
     * <P>	Returns -1 if there is no default event.
     */
    public int getDefaultEventIndex() {
        return defaultPropertyIndex;
    }

    /**
     * This method returns an image object that can be used to
     * represent the bean in toolboxes, toolbars, etc.   Icon images
     * will typically be GIFs, but may in future include other formats.
     * <p>
     * Beans aren't required to provide icons and may return null from
     * this method.
     * <p>
     * There are four possible flavors of icons (16x16 color,
     * 32x32 color, 16x16 mono, 32x32 mono).  If a bean choses to only
     * support a single icon we recommend supporting 16x16 color.
     * <p>
     * We recommend that icons have a "transparent" background
     * so they can be rendered onto an existing background.
     *
     * @param  iconKind  The kind of icon requested.  This should be
     *    one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32, 
     *    ICON_MONO_16x16, or ICON_MONO_32x32.
     * @return  An image object representing the requested icon.  May
     *    return null if no suitable icon is available.
     */
    public java.awt.Image getIcon(int iconKind) {
        switch ( iconKind ) {
        case ICON_COLOR_16x16:
            if ( iconNameC16 == null )
                return null;
            else {
                if( iconColor16 == null )
                    iconColor16 = loadImage( iconNameC16 );
                return iconColor16;
            }
        case ICON_COLOR_32x32:
            if ( iconNameC32 == null )
                return null;
            else {
                if( iconColor32 == null )
                    iconColor32 = loadImage( iconNameC32 );
                return iconColor32;
            }
        case ICON_MONO_16x16:
            if ( iconNameM16 == null )
                return null;
            else {
                if( iconMono16 == null )
                    iconMono16 = loadImage( iconNameM16 );
                return iconMono16;
            }
        case ICON_MONO_32x32:
            if ( iconNameM32 == null )
                return null;
            else {
                if( iconNameM32 == null )
                    iconMono32 = loadImage( iconNameM32 );
                return iconMono32;
            }
        }
        return null;
    }

}

