@echo off
rem *** INSTALATOR MUST SET APPROPRIATE DIRECTORY ***
rem SET _IDE_HOME=.. 
cd ..
rem *** INSTALATOR MUST SET APPROPRIATE DIRECTORY ***
SET JAVA_PATH=%JAVA_PATH%

rem *** if not exist .\lib\core.jar goto NO_IDE

rem *** REMOVE THIS PART BEFORE ADDING TO INSTALLATOR
if %JAVA_PATH%. == . goto SET_JAVA
GOTO RUN
:SET_JAVA
SET JAVA_PATH=
:RUN
rem *** END OF PART TO REMOVE ***

:CHECK_ENV
if %JAVA_PATH%. == . goto NO_JAVA_PATH
if not exist %JAVA_PATH%\bin\java.exe goto NO_JAVA

rem Everything seems to be OK, lets go ...

:RESTART
SET EX_PATH=
SET PATCH_PATH=

IF not exist "lib\patches" goto NO_PATCH
FOR %%f IN ( "lib\patches\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" patch
FOR %%f IN ( "lib\patches\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" patch

:NO_PATCH
IF not exist "modules\patches" goto NO_MODULE_PATCH
FOR %%f IN ( "modules\patches\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" patch
FOR %%f IN ( "modules\patches\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" patch

:NO_MODULE_PATCH
IF not exist "lib\ext" goto NO_EXT
FOR %%f IN ( "lib\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
FOR %%f IN ( "lib\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
FOR %%f IN ( "lib\ext\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
FOR %%f IN ( "lib\ext\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext

:NO_EXT
IF not exist "modules\ext" goto NO_EXT_M
FOR %%f IN ( "modules\ext\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
FOR %%f IN ( "modules\ext\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext

:NO_EXT_M
rem IF not exist "modules\locale" goto NO_LOCALE
rem FOR %%f IN ( "modules\locale\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
rem FOR %%f IN ( "modules\locale\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext

rem :NO_LOCALE
FOR %%f IN ( "modules\*.jar" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext
FOR %%f IN ( "modules\*.zip" ) DO CALL bin\oldlauncher\add2path.bat "%%f" ext

SET IDE_CLASSPATH=%PATCH_PATH%;lib\openide.jar;lib\core.jar;lib\upgrade\upgrade.jar;%EX_PATH%%JAVA_PATH%\lib\dt.jar;%JAVA_PATH%\lib\tools.jar;%CLASSPATH%
rem echo %IDE_CLASSPATH%
%JAVA_PATH%\bin\java -classpath "%IDE_CLASSPATH%" -Xmx96m org.netbeans.upgrade.FileCopy %1 %2 %3 
cd bin
goto END

:NO_JAVA_PATH
echo Warning!
echo JAVA_PATH environment variable not found.
echo Please set JAVA_PATH to JDK home.
echo Example: SET JAVA_PATH=C:\jdk1.3
goto END

:NO_JAVA
echo Warning!
echo JAVA_PATH environment variable was found, but java.exe is missing!
goto END

:END
