#!/bin/sh
#                 Sun Public License Notice
# 
# The contents of this file are subject to the Sun Public License
# Version 1.0 (the "License"). You may not use this file except in
# compliance with the License. A copy of the License is available at
# http://www.sun.com/
# 
# The Original Code is NetBeans. The Initial Developer of the Original
# Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
# Microsystems, Inc. All Rights Reserved.

# loader for IDE
#
# $Id: runide_multiuser.sh,v 1.2 2000/08/01 14:03:41 ttran Exp $

PRG=$0

#
# resolve symlinks
#

while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2>/dev/null >/dev/null; then
	PRG="$link"
    else
	PRG="`dirname $PRG`/$link"
    fi
done

opts=""
while [ $# -gt 0 ] ; do
    opts="$opts \"$1\""
    shift
done
    
eval `dirname $PRG`/runide.sh -userdir ${HOME}/nbuser $opts
